function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { memo, useMemo } from 'react';
import { StyleSheet, Text, TextInput, View } from 'react-native';
import ArrowDownIcon from '../../Icons/arrowDown';
const SearchableBox = /*#__PURE__*/memo(props => {
  const {
    data,
    placeholder,
    width,
    height,
    boxClosedBorderColor,
    boxOpenedBorderColor,
    placeHolderTextStyle,
    textStyle,
    arrowColorOnSelected,
    arrowColor,
    backgroundColor,
    arrowSize,
    horizontalPadding,
    opened,
    selected,
    handleChangeSearch,
    search
  } = props;
  const foundLabel = useMemo(() => data.filter(item => selected.includes(item.value)).map(item => item.label).join(',') || '',
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [selected]);
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, {
      paddingHorizontal: horizontalPadding,
      backgroundColor,
      width,
      height,
      ...(opened ? {
        borderBottomRightRadius: 0,
        borderBottomLeftRadius: 0,
        borderBottomWidth: 0,
        borderColor: boxOpenedBorderColor
      } : {
        borderColor: boxClosedBorderColor
      })
    }]
  }, opened ? /*#__PURE__*/React.createElement(TextInput, {
    value: search,
    autoFocus: true,
    style: [...(selected.length ? [styles.text, textStyle] : [styles.placeHolderText, placeHolderTextStyle]), {
      width: width - horizontalPadding * 2 - arrowSize
    }],
    placeholder: placeholder,
    onChangeText: str => handleChangeSearch(str)
  }) : /*#__PURE__*/React.createElement(Text, {
    style: [...(selected.length ? [styles.text, textStyle] : [styles.placeHolderText, placeHolderTextStyle]), {
      width: width - horizontalPadding * 2 - arrowSize
    }],
    numberOfLines: 1
  }, selected.length ? foundLabel : placeholder), /*#__PURE__*/React.createElement(ArrowDownIcon, _extends({
    width: arrowSize,
    height: arrowSize
  }, selected.length ? {
    stroke: arrowColorOnSelected
  } : {
    stroke: arrowColor
  })));
});
const styles = StyleSheet.create({
  container: {
    borderWidth: 1,
    borderRadius: 5,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  placeHolderText: {
    color: '#6c757d'
  },
  text: {
    color: 'black'
  }
});
SearchableBox.displayName = 'SearchableBox';
export default SearchableBox;
//# sourceMappingURL=index.js.map